Assignee:  % Done: 0%
Target version:    

Description

This is to add a go-to action schema that should enable a "View issue" button in Gmail (similar to that in Github emails).

History

#1 - 2015-11-01 10:37 - Jean-Philippe Lang

What are the benefits of it over a simple link in the email?

#2 - 2015-11-01 12:25 - Marius BĂLTEANU

+1

The benefits from my point of view:

- you save one click when you aren't interested to read the email content and you just want to open the issue page directly. Now you need to click on

the email subject (to open the email content) and then search visually for the URL to click it.

- the link to the issue page is more clearly highlighted.

#3 - 2015-11-01 14:40 - An Phan

Exactly that. Also, hopefully it's just a start of more useful functions in the next versions – for example, the ability to mark an issue as resolved from

within the mailbox.

#4 - 2015-11-02 06:01 - Go MAEDA

This is a great feature but I could not see "View issue" link on GMail (Redmine 3.1.1 + patch).

Is this works fine on your environment? Please let me know how can I make the patch work.

#5 - 2015-11-02 06:57 - An Phan

It won't work right away. You'll need to register with Google.

#6 - 2015-11-02 07:05 - Marius BĂLTEANU

Here you can find a tester for email markups offered by Google.

#7 - 2015-11-02 07:07 - An Phan

Here you can find a tester for email markups offered by Google.

 Please note that this may determine the markups to be invalid if you're using a localhost URL – e.g. when you're testing Redmine from local env.

#8 - 2015-12-11 14:56 - Marius BĂLTEANU

- File ViewIssue.png added

The patch works great on Redmine 3.1.2. Below is a notification email received from Redmine after my registration request was approved by Google.

 ViewIssue.png 

It'll be a nice addition to Redmine notifications emails for Gmail/Inbox users.

#9 - 2015-12-23 06:03 - Go MAEDA

- Target version set to Candidate for next major release

#10 - 2015-12-23 06:03 - Go MAEDA
https://developers.google.com/gmail/markup/reference/go-to-action
https://developers.google.com/gmail/markup/registering-with-google
https://www.google.com/webmasters/markup-tester/


- Category changed from Email receiving to Email notifications

#11 - 2016-03-20 19:02 - Marius BĂLTEANU

This patch works also on Redmine 3.2.0 and 3.2.1.

#12 - 2016-10-05 23:11 - Maxim Krušina

Oh, great! I just wanted to do this.

I tried it with Redmine 3.3.0, but without success.

When I look into code  (email source), there are so e weird 3D added everywhere:

<div itemscope itemtype=3D"http://schema.org/EmailMessage">

 but IMHO it hsould be like this:

<div itemscope itemtype="http://schema.org/EmailMessage">

 When I removed thode 3Ds, I got better results with validator: https://www.google.com/webmasters/markup-tester/u/0/

.erb template looks good, any clue, where those "3D" string are coming from?

#13 - 2016-10-05 23:14 - Maxim Krušina

Some clue... https://www.sitepoint.com/community/t/what-does-3d-mean-in-this-html-email/7033

#14 - 2016-12-25 15:42 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

Very useful for Gmail users. Users can access an issue quickly, without opening an email message.

Setting target version to 3.4.0.

#15 - 2017-03-05 09:14 - Jean-Philippe Lang

- Target version deleted (3.4.0)

So, this feature is for Gmail users only and each instance needs to register at Google before using it?

I'd like to get more feedback about this. Sounds to me like a good plugin idea instead of adding it to the core.

#16 - 2017-03-07 12:02 - Maxim Krušina

Me too! I was playing with this idea (which is really nice by the way and there is a lot of ways to implement it), but I ended with the conclusion, that's

more oriented to one-domain based hosted products, so the owner of product can ask Google for adding a scheme (like ie Trello).

#17 - 2017-03-13 11:45 - Jan from Planio www.plan.io

We've had GMail Actions / Schema.org Markup in Planio for a few months now. At Planio, it was easy to enable this for everyone, because we send

all email from one specific email address @plan.io and we just had to request white-listing of that address with Google to make it work for all

customers.

Adding this to Redmine, however, would mean that every Redmine admin would have to get their sender address white-listed by Google individually

to use this feature. On the other hand, it does not hurt to have this markup in Redmine. It does not break anything and will just be ignored by Google if

the sender isn't white-listed.

Jean-Philippe, if you decide that you would like to add it, I would be happy to prepare a patch for the code we use at Planio, which builds the

Schema.org tags in a view helper and could therefore be used not only in issues, but all other notification types as well. This approach also does not

"pollute" the mailer views too much with additional markup.

#18 - 2017-06-01 19:00 - Aleksandar Pavic

+1

Large number of people who use their own pop3 or imaps, use gmail as email client... And it would have "wow" effect for new users...

However it does bring some ambiguity in some use-case scenarios, don't forget that Redmine is often used as helpdesk platform where "view issue"

is possible, but preffered action is to reply to that email and Redmine parses that reply, instead of having users click "view issue"...

Probably best way to implement this (if it's to be implemented) would be to put in email settings "Enable/disable" email action buttons...

Files
https://www.google.com/webmasters/markup-tester/u/0/
https://www.sitepoint.com/community/t/what-does-3d-mean-in-this-html-email/7033
https://support.plan.io/news/117
